%define module_name Log-Log4perl-AutoInit
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/Log4perl.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.2
Release: alt1
Summary: Log4Perl with autoinitialization.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINARY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a simple wrapper around Log::Log4perl for cases where 
initialization may need to be delayed until a statup process is complete, but 
where configuration may need to be registered before that point.  In essence
it provides a way to delay logger initialization until the logger is actually
needed or used.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md README
%perl_vendor_privlib/L*

%changelog
* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1
- regenerated from template by package builder

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

